/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1985 AT&T
 *      All Rights Reserved
 */

#ident	"$Header: suffuncs.c 1.2 89/10/10 $@(#)vm:oh/suffuncs.c	1.1"

#include <stdio.h>
#include <sys/types.h>
#define OLDIRSIZ 14


char *
rem_suffix(str, num)
char *str; int num;
{
	static char buf[OLDIRSIZ+1];

	strcpy(buf, str);
	buf[strlen(str)-num] = '\0';
	return((char *)buf);
}

char *
add_suffix(str, suf)
char *str, *suf;
{
	static char buf[OLDIRSIZ+1];
	char *strcat();

	if (strlen(str) +strlen(suf) > OLDIRSIZ)
		return((char *)NULL);

	return(strcat(strcpy(buf, str), suf));
}


int
has_suffix(str,suf)
char *str, *suf;
{
	char *p;
	p = str + strlen(str) - strlen(suf);
	if (strcmp(p, suf) == 0) {
		return(1);
	} else {
		return(0);
	}
}
